﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class App_Controls_Administration_StyleBuilderVS_Builder : System.Web.UI.UserControl
{
    private string imgPath = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        container.Style["display"] = "block";
        if (!IsPostBack)
        {
            LoadSetting();
        }
    }
    /// <summary>
    /// Sets the path of the images directory
    /// </summary>
    /// <param name="path">Virtual path</param>
    private void SetImagePath(string path)
    {
        string[] paths = new string[1];
        paths[0] = path;
        sEdit.ImageManager.DeletePaths = paths;
        sEdit.ImageManager.UploadPaths = paths;
        sEdit.ImageManager.ViewPaths = paths;
        imgPath = path;
    }
    /// <summary>
    /// Sets/Gets the virtual path of the images directory
    /// </summary>
    public string ImagePath
    {
        get
        {
            return imgPath;
        }
        set
        {
            SetImagePath(value);
        }
    }
    /// <summary>
    /// Gets and sets the CSS property string
    /// </summary>
    public string StyleProperties
    {
        get
        {
            sEdit.Content = sEdit.Content.Replace("<span", "<div").Replace("</span", "</div");
            return sEdit.Content.Replace("<div style=\"", "").Replace("\">a</div>", "").Replace("<div>a</div>", ""); ;
        }
        set
        {
           
            sEdit.Content = "<div style=\"" + value + "\">a</div>";
        }
    }
    private void LoadSetting()
    {
        string s = "<input id=\"selStyleBut" + sEdit.ClientID + "\" onclick=\"OpenSBDialog" + sEdit.ClientID + "()\" type=\"button\" " + System.Environment.NewLine
                   + "value=\"Select Style\" />" + System.Environment.NewLine
                   + "<script language=\"javascript\" type=\"text/javascript\">" + System.Environment.NewLine
                   + "function OpenSBDialog" + sEdit.ClientID + "() {" + System.Environment.NewLine
                   + "var editor = $find(\""+sEdit.ClientID+"\");" + System.Environment.NewLine
                   + "editor.fire(\"StyleBuilder\");" + System.Environment.NewLine
                   + "}" + System.Environment.NewLine
                   + "</script>" + System.Environment.NewLine;
        cDiv.InnerHtml = s;

    }
    /// <summary>
    /// Value that set the style builder to load in a classic dialog instead of rad window
    /// </summary>
    public void SetUseClassicDialogs()
    {
        sEdit.OnClientLoad = "OnClientLoad";
        cDiv2.InnerHtml = "<script language=\"javascript\" type=\"text/javascript\">" + System.Environment.NewLine
                   + "function OnClientLoad(editor)"
                   + "{"
                   + "editor.set_useClassicDialogs(true);"
                   + "}"
                   + "</script>" + System.Environment.NewLine;
    }
}
